Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class AcceptableLanguageTag

    java.lang.Object
      com.sun.jersey.core.header.LanguageTag
          com.sun.jersey.core.header.AcceptableLanguageTag

All Implemented Interfaces:
  QualityFactor

    public class AcceptableLanguageTag

extends LanguageTag
implements QualityFactor

An acceptable language tag.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected int` | `quality`

Fields inherited from class com.sun.jersey.core.header.LanguageTag
`primaryTag, subTags, tag`

Fields inherited from interface com.sun.jersey.core.header.QualityFactor
`DEFAULT_QUALITY_FACTOR, MAXIMUM_QUALITY, MINUMUM_QUALITY, QUALITY_FACTOR`

Constructor Summary
`AcceptableLanguageTag(HttpHeaderReader reader)`
`AcceptableLanguageTag(java.lang.String header)`
`AcceptableLanguageTag(java.lang.String primaryTag, java.lang.String subTags)`

Method Summary
`int` | `getQuality()`

Methods inherited from class com.sun.jersey.core.header.LanguageTag
`getAsLocale, getPrimaryTag, getSubTags, getTag, isCompatible, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quality

    protected int quality

Constructor Detail

### AcceptableLanguageTag

    public AcceptableLanguageTag(java.lang.String primaryTag,
                                 java.lang.String subTags)

### AcceptableLanguageTag

    public AcceptableLanguageTag(java.lang.String header)
                          throws java.text.ParseException

Throws:
  `java.text.ParseException`

### AcceptableLanguageTag

    public AcceptableLanguageTag(HttpHeaderReader reader)
                          throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getQuality

    public int getQuality()

  Specified by:
    `getQuality` in interface `QualityFactor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.